<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			felipe.cadena
@cu 				CU-SA-AC-066 Generar Oficio Remisorio de Aprobación de Control de Calidad Territorial

@ManagedBean        ConsultaOficioRemisorioTerritorialMB
-->

<h:form id="oficioRemisorioTerritorialForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" width="0" />

    <p:fieldset>

        <legend>
            <h:outputText value="Información del avalúo" styleClass="legendTitle" />
        </legend>
        <p:messages id="msgsGROCC" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número oficina: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"           
                          value="#{generacionOficioRemisorioTerritorial.usuario.codigoEstructuraOrganizacional}">
            </h:outputText>
            <h:outputLabel value="Fecha reporte: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"           
                          value="#{generacionOficioRemisorioTerritorial.fechaReporte}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />

            </h:outputText>

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{generacionOficioRemisorioTerritorial.avaluo.estructuraOrganizacionalCod}" 
                styleClass="outputTextStyle"
                id="TerritorialesConDireccionGeneralCV-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneralCV-1"/>
            </h:outputText>



            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{generacionOficioRemisorioTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                           id="infoDeptosLink"
                           styleClass="commandLinkStyle"
                           value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{generacionOficioRemisorioTerritorial.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!generacionOficioRemisorioTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                          styleClass="outputTextStyle"
                          value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoPredios[0].departamento.nombre}"/>


            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{generacionOficioRemisorioTerritorial.avaluo.tienePrediosEnDiferentesMunicipios}"
                           id="infoMunicipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{generacionOficioRemisorioTerritorial.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!generacionOficioRemisorioTerritorial.avaluo.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoPredios[0].municipio.nombre}"/>

            <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
            <p:commandLink id="solicitudLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{generacionOficioRemisorioTerritorial.avaluo.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{generacionOficioRemisorioTerritorial.avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"           
                          value="#{generacionOficioRemisorioTerritorial.avaluo.solicitante.nombreCompleto}">
            </h:outputText>

            <h:outputLabel value="Director(a) territorial:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionOficioRemisorioTerritorial.directorTerritorial.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                styleClass="commandLinkStyle"
                action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                update=":consultarAvaluadoresAsignadosPG"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                infoAvaluadoresAsignadosWV.show();"
                rendered="#{generacionOficioRemisorioTerritorial.avaluo.tieneMultiplesAvaluadores}">
                <f:setPropertyActionListener
                    value="#{generacionOficioRemisorioTerritorial.avaluo.secRadicado}"
                    target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>

            <h:outputText
                rendered="#{!generacionOficioRemisorioTerritorial.avaluo.tieneMultiplesAvaluadores}"
                styleClass="outputTextStyle"
                value="#{generacionOficioRemisorioTerritorial.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}" />

            <h:outputLabel value="Profesional control calidad:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionOficioRemisorioTerritorial.profesionalControlCalidad.nombreCompleto}"
                styleClass="outputTextStyle" />


            <h:outputLabel value="Coordinador de GIT de avalúos:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionOficioRemisorioTerritorial.coordinadorGITAvaluos.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="No orden práctica:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generacionOficioRemisorioTerritorial.ordenPractica.numero}"
                styleClass="outputTextStyle" />



        </h:panelGrid>

        <p:separator />

        <legend>
            <h:outputText value="Información predial"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">


            <p:dataTable id="prediosDT"
                         value="#{generacionOficioRemisorioTerritorial.prediosAvaluo}" var="predio"
                         paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         rowKey="#{predio.id}"
                         emptyMessage="No se encontraron predios asociados al avalúo">

                <f:facet name="header">
                    Predios asociados al avalúo
                </f:facet>

                <p:column headerText="Departamento">
                    <h:outputText styleClass="outputTextStyle" value="#{predio.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText styleClass="outputTextStyle"  value="#{predio.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número predial">
                    <h:outputText styleClass="outputTextStyle"  value="#{predio.numeroPredial}" />
                </p:column>

                <p:column headerText="Matrícula inmobiliaria">
                    <h:outputText styleClass="outputTextStyle" value="#{predio.matriculaInmobiliaria}" />
                </p:column>

                <p:column headerText="Dirección">
                    <h:outputText styleClass="outputTextStyle" value="#{predio.direccionPrincipal}" />
                </p:column>

            </p:dataTable>

            <h:panelGrid columns="4" cellspacing="7" >

                <p:commandButton value="Aceptar"
                                 disabled="#{generacionOficioRemisorioTerritorial.banderaOficioGenerado}"
                                 icon="ui-icon-check"
                                 action="#{generacionOficioRemisorioTerritorial.confirmarOficio}"
                                 update=":oficioRemisorioTerritorialForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();">
                </p:commandButton>
                <p:commandButton value="Vista previa"
                                 disabled="#{!generacionOficioRemisorioTerritorial.banderaOficioGenerado}"
                                 icon="ui-icon-search"
                                 action="#{generacionOficioRemisorioTerritorial.verVistaPrevia}"
                                 update=":viewMemo:vistaMemoForm" onstart="statusDialog2.show();memorandoWV.show()"
                                 oncomplete="statusDialog2.hide();">
                </p:commandButton>
                <p:commandButton value="Enviar oficio remisorio aprobación"
                                 disabled="#{!generacionOficioRemisorioTerritorial.banderaOficioGenerado}"
                                 icon="ui-icon-mail-closed"
                                 action="#{generacionOficioRemisorioTerritorial.enviarOficio}"
                                 update=":oficioRemisorioTerritorialForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();">
                </p:commandButton>
                <p:commandButton value="Cancelar"
                                 icon="ui-icon-circle-close"
                                 action="#{generacionOficioRemisorioTerritorial.cancelarGenaracionOficio}"
                                 update=":oficioRemisorioTerritorialForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();oficioRemisorioTerritorialWV.hide();">
                </p:commandButton>



            </h:panelGrid>



        </h:panelGrid>
    </p:fieldset>
</h:form>


